SD_JOURNAL_SEEK_HEAD(3)

NAME
sd_journal_seek_head, sd_journal_seek_tail, sd_journal_seek_monotonic_usec, sd_journal_seek_realtime_usec, sd_journal_seek_cursor - Seek to a position in the journal

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_seek_head(sd_journal *j);

int sd_journal_seek_tail(sd_journal *j);

int sd_journal_seek_monotonic_usec(sd_journal *j, sd_id128_t boot_id, uint64_t usec);

int sd_journal_seek_realtime_usec(sd_journal *j, uint64_t usec);

int sd_journal_seek_cursor(sd_journal *j, const char *cursor);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_seek_head, sd_journal_seek_tail, sd_journal_seek_monotonic_usec, sd_journal_seek_realtime_usec and sd_journal_seek_cursor do nothing.

RETURN VALUE

The functions return -ENOSYS.

SEE ALSO

elogind(8), sd_journal_open(3), sd_journal_next(3), sd_journal_get_data(3), sd_journal_get_cursor(3), sd_journal_get_realtime_usec(3)